#!/bin/bash

# Script makes assumption that the current directory is the one containing RQMAdapter.sh
if ! [ -f "RQMAdapter.sh" ];
then
        # Try looking in the default absolute location
        if [ -f "/opt/IBM/SDP/RPT-RST_RQMAdapter/bin/RQMAdapter.sh" ];
        then
                ORG_DIR="$PWD"
                cd /opt/IBM/SDP/RPT-RST_RQMAdapter/bin/
                echo "Using install located at '/opt/IBM/SDP'"
                ../../jdk/jre/bin/java -jar Launcher.jar $*
                RETURN_CODE=$?
                cd $ORG_DIR
                exit $RETURN_CODE
        else
                # Try Mac
                if [ -f "/Applications/IBM/SDP/RPT-RST_RQMAdapter/bin/RQMAdapter.sh" ];
                then
                        ORG_DIR="$PWD"
                        echo "Using install located at '/Applications/IBM/SDP'"
                        cd /Applications/IBM/SDP/RPT-RST_RQMAdapter/bin/
                        ../../jdk/jre/bin/java -jar Launcher.jar $*
                        RETURN_CODE=$?
                        cd $ORG_DIR
                        exit $RETURN_CODE
                else
                        echo "RQMAdapter.sh requires current directory to be (RPT/RTW Install)/SDP/RPT-RST_RQMAdapter (example:  /opt/IBM/SDP/RPT-RST_RQMAdapter/bin)"
                        echo "Unable to start adapter, please change the current directory to RQMAdapter.sh location"
                        exit 1
                fi
        fi
else
        ../../jdk/jre/bin/java -jar Launcher.jar $*
fi
